import { BaseReviver } from "./baseReviver.js";
import { AgencyFunction } from "../agencyFunction.js";
type FunctionRefRegistry = Record<string, AgencyFunction>;
export declare class FunctionRefReviver implements BaseReviver<AgencyFunction> {
    registry: FunctionRefRegistry | null;
    nativeTypeName(): string;
    isInstance(value: unknown): value is AgencyFunction;
    serialize(value: AgencyFunction): Record<string, unknown>;
    validate(value: Record<string, unknown>): boolean;
    revive(value: Record<string, unknown>): AgencyFunction;
    private findInRegistry;
}
export {};
